Subject: Re: [PATCH net-next 3/4] net: phy: marvell10g: use genphy_c45_an_config_an

From: Andrew Lunn <[email-masked]>
Date: Sun, 17 Feb 2019 05:22:57 +0100

> This is not strictly equivalent though because marvell10g only checks
> for the 10000baseT_Full bit set whereas genphy_c45_an_config_an() calls
>  linkmode_adv_to_mii_10gbt_adv_t() which you recently updated to also
> check for 2.5G and 5G. This sounds about the right decision, but I
> wonder if Russell did this for a reason (like not able to test 2500baseT
> and 5000baseT?)

Hi Florian

Correct. But both Marvell MAC drivers recently gained the code needed
for 2500BaseX and 5000BaseX. See Maxime and Russell comphy patches.
Russell has tested 2500BaseX SFPs and Maxime has been testing
2500BaseT copper.

	  Andrew